<?php
/**
 * Checks whether or not the given username is in the
 * database, if so it checks if the given password is
 * the same password in the database for that user.
 * If the user doesn't exist or if the passwords don't
 * match up, it returns an error code (1 or 2). 
 * On success it returns 0.
 */
function confirmUser($username, $password){
   global $connuni;
   /* Add slashes if necessary (for query) */
   if(!get_magic_quotes_gpc()) {
	$username = addslashes($username);
   }

   /* Verify that user is in database */
   $q = "SELECT password FROM mt_users WHERE nick = '$username'";
   $result = mysql_query($q,$connuni);
   if(!$result || (mysql_numrows($result) < 1)){
      return 1; //Indicates username failure
   }

   /* Retrieve password from result, strip slashes */
   $dbarray = mysql_fetch_array($result);
   $dbarray['password']  = stripslashes($dbarray['password']);
   $password = stripslashes($password);

   /* Validate that password is correct */
   if($password == $dbarray['password']){
      return 0; //Success! Username and password confirmed
   }
   else{
      return 2; //Indicates password failure
   }
}

/**
 * checkLogin - Checks if the user has already previously
 * logged in, and a session with the user has already been
 * established. Also checks to see if user has been remembered.
 * If so, the database is queried to make sure of the user's 
 * authenticity. Returns true if the user has logged in.
 */
function checkLogin(){
   /* Check if user has been remembered */
   if(isset($_COOKIE['cooknameuniversal']) && isset($_COOKIE['cookpassuniversal'])){
      $_SESSION['usernameuniversal'] = $_COOKIE['cooknameuniversal'];
      $_SESSION['passworduniversal'] = $_COOKIE['cookpassuniversal'];
   }

   /* Username and password have been set */
   if(isset($_SESSION['usernameuniversal']) && isset($_SESSION['passworduniversal'])){
      /* Confirm that username and password are valid */
      if(confirmUser($_SESSION['usernameuniversal'], $_SESSION['passworduniversal']) != 0){
         /* Variables are incorrect, user not logged in */
         unset($_SESSION['usernameuniversal']);
         unset($_SESSION['passworduniversal']);
         return false;
      }
      return true;
   }
   /* User not logged in */
   else{
      return false;
   }
}

/**
 * Determines whether or not to display the login
 * form or to show the user that he is logged in
 * based on if the session variables are set.
 */
function displayLogin(){
   global $logged_in;
   if($logged_in){
   //include('./statuses/include_sidebar.php'); 
		?>
		   <div class="sidebar">
		<?php
		include('./inc/config.php');
		$connuni = @mysql_connect($host, $user, $pass);
		@mysql_select_db($db, $connuni);
		if(!$user){ $user = $HTTP_GET_VARS['user'];}
		if($_GET["user"]){
		$user = $_GET["user"];
		$usern = name_hide($user);
		$query  = "SELECT id_usr, nombre, apellidos, nick, password, country, state, correo, dia, mes, anio,bio, gravatar, follow FROM mt_users WHERE nick = '$usern' LIMIT 1";
		}else{
		$query  = "SELECT id_usr, nombre, apellidos, nick, password, country, state, correo, dia, mes, anio,bio, gravatar, follow FROM mt_users WHERE nick = '$_SESSION[usernameuniversal]' LIMIT 1";
		}
		$result = mysql_query($query,$connuni) or die(mysql_error().': '.$query);
		while($row = mysql_fetch_assoc($result)){
		?>
		<?php
		
		if($row["gravatar"]=="yes"){
		echo "<a title=\"".$row["nick"]."\" href=\"index.php?user=".$row["id_usr"]."\">";
		echo "<img width=\"48\" border=\"1\" align=\"left\" style=\"margin: 3px;\" src=\"";
		$grav_correo = $row["correo"];
		echo getGravatarUrl($grav_correo, $defImg,  "80", "G");
		echo "\" alt=\"Gravatar\"></a>";
		}else{
		
		if(file_exists("./avatar/".$row["id_usr"].".jpg")){ 
		echo "<a title=\"".$row["nick"]."\" href=\"index.php?user=".$row["id_usr"]."\">
		<img border=\"1\" align=\"left\" style=\"margin: 3px;\" src=\"".$pth."/avatar/".$row["id_usr"].".jpg\"></a>";} 
		else {echo "<a title=\"".$row["nick"]."\" href=\"index.php?user=".$row["id_usr"]."\">
		<img border=\"1\" align=\"left\" style=\"margin: 3px;\" src=\"".$pth."/avatar/default.jpg\" width=\"48\" height=\"48\"></a>";}
		}
		?>
		<h3><?php echo $row["nick"]; ?></h3>
		<small><a href="mailto:<?php echo $row["correo"]; ?>"><?php echo $row["nombre"]; ?> <?php echo $row["apellidos"]; ?></a> - <?php echo $row["dia"]; ?>/<?php echo $row["mes"]; ?>/<?php echo $row["anio"]; ?> from <?php echo $row["state"]; ?> (<?php echo $row["country"]; ?>)</small>
		
		<p><em><?php echo $row["bio"]; ?></em></p>
		<small>
		<table border="0" cellpadding="5" cellspacing="0" style="text-align: center;" align="center">
		
		<tr>
		<td><b>Updates</b></td>
		<td><b>Replies</b></td>
		<td><b>Followers</b></td>
		<td><b>Following</b></td>
		</tr>
		
		<tr>
		<td><?php total_udates($row["id_usr"]); ?></td>
		<td><?php total_replies($row["id_usr"]); ?></td>
		<td><?php followers($row["id_usr"]); ?></td>
		<td><?php echo count(explode(",",$row["follow"]))-1; ?></td>
		</tr>
		
		</table>
		</small>
		
	<?php
	if($_GET["user"]){
	//if(strstr($row["follow"],($_GET["user"])==true)){}else{
	$user = $_GET["user"];
	echo "<form style=\"float: right;\" action=\"\" method=\"post\">";	
	echo "<input type=\"image\" src=\"inc/icons/+.png\" name=\"status_id_mas\" value=\"".$user."\"> <small>Follow</small> ";
	echo "</form>";
	/*}

	if(strstr($row["follow"],($_GET["user"])==true)){*/
	//$user = $_GET["user"];
	echo "<form style=\"float: right;\" action=\"\" method=\"post\">";	
	echo " <input type=\"image\" src=\"inc/icons/-.png\" name=\"status_id_menos\" value=\"".$user."\"> <small>Unfollow</small> ";
	echo "</form>";
	//}else{}
	
	}
	?>
	<br>
		<?php if($_GET["user"]){
		echo "<h3>";
		name($_GET["user"]);
		echo " is following to...</h3>";
		$flw = get_followers($_GET["user"]);
		if($flw==""){echo "nobody!";}else{
		$following=explode(",",$flw); 
		$i=0;
		while($following[$i]==true){
		
	
		$queryw  = "SELECT id_usr,nick,correo, gravatar FROM mt_users Where id_usr = '$following[$i]' LIMIT 1";
		$resultw = mysql_query($queryw,$connuni) or die(mysql_error().': '.$queryw);
		while($ruw = mysql_fetch_assoc($resultw)){
		
		if($ruw["gravatar"]=="yes"){
		echo "<a href=\"index.php?user=".$ruw["id_usr"]."\" title=\"".$ruw["nick"]."\" onmouseover=\"Tip('";
		echo "<b>".$ruw["nick"].": </b>";
		echo last($ruw["id_usr"]);
		echo "', BALLOON, true, ABOVE, true, OFFSETX, -17, PADDING, 8)\" onmouseout=\"UnTip()\">";
		echo "<img width=\"48\" border=\"1\" align=\"left\" style=\"margin: 3px;\" src=\"";
		$grav_correow = $ruw["correo"];
		echo getGravatarUrl($grav_correow, $defImg,  "80", "G");
		echo "\" alt=\"Gravatar\"></a>";
		 
		
		}else{

		if(file_exists("./avatar/".$following[$i].".jpg")==true){ 
		echo "<a title=\"";
		name($following[$i]);
		echo "\"  href=\"index.php?user=".$following[$i]."\" onmouseover=\"Tip('";
		echo "<b>";
		name($following[$i]);
		echo ": </b>";
		echo last($following[$i]);
		echo "', BALLOON, true, ABOVE, true, OFFSETX, -17, PADDING, 8)\" onmouseout=\"UnTip()\">
		<img border=\"1\" align=\"left\" style=\"margin: 3px;\" src=\"".$pth."/avatar/".$following[$i].".jpg\" width=\"48\" height=\"48\"></a>";}
		else {echo "<a title=\"";
		name($following[$i]);
		echo "\" href=\"index.php?user=".$following[$i]."\">
		<img border=\"1\" align=\"left\" style=\"margin: 3px;\" src=\"".$pth."/avatar/default.jpg\" width=\"48\" height=\"48\"></a>";} 
		
		}
		}
		$resto = $i%4;
  		 if (($resto==0) && ($i!=0)) {
        	echo "<div style=\"clear: both;\"></div>";
   		}
		$i=$i+1;
		}
		
		}
		
		}else{ ?>
		<h3>I'm following to...</h3>
		<?php 
		$following=explode(",",$row["follow"]); 
		$i=0;
		while($following[$i]==true){
		
	
		$queryw  = "SELECT id_usr,nick,correo, gravatar FROM mt_users Where id_usr = '$following[$i]' LIMIT 1";
		$resultw = mysql_query($queryw,$connuni) or die(mysql_error().': '.$queryw);
		while($ruw = mysql_fetch_assoc($resultw)){
		
		if($ruw["gravatar"]=="yes"){
		echo "<a href=\"index.php?user=".$ruw["id_usr"]."\" title=\"".$ruw["nick"]."\" onmouseover=\"Tip('";
		echo "<b>".$ruw["nick"].": </b>";
		echo last($ruw["id_usr"]);
		echo "', BALLOON, true, ABOVE, true, OFFSETX, -17, PADDING, 8)\" onmouseout=\"UnTip()\">";
		echo "<img width=\"48\" border=\"1\" align=\"left\" style=\"margin: 3px;\" src=\"";
		$grav_correow = $ruw["correo"];
		echo getGravatarUrl($grav_correow, $defImg,  "80", "G");
		echo "\" alt=\"Gravatar\"></a>";
		 
		
		}else{

		if(file_exists("./avatar/".$following[$i].".jpg")==true){ 
		echo "<a title=\"";
		name($following[$i]);
		echo "\"  href=\"index.php?user=".$following[$i]."\" onmouseover=\"Tip('";
		echo "<b>";
		name($following[$i]);
		echo ": </b>";
		echo last($following[$i]);
		echo "', BALLOON, true, ABOVE, true, OFFSETX, -17, PADDING, 8)\" onmouseout=\"UnTip()\">
		<img border=\"1\" align=\"left\" style=\"margin: 3px;\" src=\"".$pth."/avatar/".$following[$i].".jpg\" width=\"48\" height=\"48\"></a>";}
		else {echo "<a title=\"";
		name($following[$i]);
		echo "\" href=\"index.php?user=".$following[$i]."\">
		<img border=\"1\" align=\"left\" style=\"margin: 3px;\" src=\"".$pth."/avatar/default.jpg\" width=\"48\" height=\"48\"></a>";} 
		
		}
		}
		$resto = $i%4;
  		 if (($resto==0) && ($i!=0)) {
        	echo "<div style=\"clear: both;\"></div>";
   		}
		$i=$i+1;
		}
		}
		
		?>
		<?php
		}
		$query  = "SELECT id_usr, nombre, apellidos, nick, password, correo, dia, mes, anio, gravatar FROM mt_users Where nick <> '$_SESSION[usernameuniversal]' ORDER BY RAND() DESC LIMIT 50";
		$result = mysql_query($query,$connuni) or die(mysql_error().': '.$query);
		?>
		<div style="clear: both;"></div>
		<h3>People (<?php echo mysql_num_rows($result);?>)</h3>
		<br>
		<?php
		$i=0;
		$sn=0;
		while($row = mysql_fetch_assoc($result)){
		
		if($row["gravatar"]=="yes"){
		echo "<a href=\"index.php?user=".$row["id_usr"]."\" title=\"".$row["nick"]."\" onmouseover=\"Tip('";
		echo "<b>".$row["nick"].": </b>";
		echo last($row["id_usr"]);
		echo "', BALLOON, true, ABOVE, true, OFFSETX, -17, PADDING, 8)\" onmouseout=\"UnTip()\">";
		echo "<img width=\"48\" border=\"1\" align=\"left\" style=\"margin: 3px;\" src=\"";
		$grav_correo = $row["correo"];
		echo getGravatarUrl($grav_correo, $defImg,  "80", "G");
		echo "\" alt=\"Gravatar\"></a>";
		
		$i=$i+1;
		
		}else{

		if(file_exists("./avatar/".$row["id_usr"].".jpg")==true){ 
		echo "<a title=\"".$row["nick"]."\"  href=\"index.php?user=".$row["id_usr"]."\" onmouseover=\"Tip('";
		echo "<b>".$row["nick"].": </b>";
		echo last($row["id_usr"]);
		echo "', BALLOON, true, ABOVE, true, OFFSETX, -17, PADDING, 8)\" onmouseout=\"UnTip()\">
		<img border=\"1\" align=\"left\" style=\"margin: 3px;\" src=\"".$pth."/avatar/".$row["id_usr"].".jpg\" width=\"48\" height=\"48\"></a>";
		
		
		}else {
		echo "<a title=\"".$row["nick"]."\" href=\"index.php?user=".$row["id_usr"]."\">
		<img border=\"1\" align=\"left\" style=\"margin: 3px;\" src=\"".$pth."/avatar/default.jpg\" width=\"48\" height=\"48\"></a>";
		$sn=$sn+1;
		} 
		
		$i=$i+1;
		}
		
		$resto = $i%4;
  		 if (($resto==0) && ($i!=0)) {
        	echo "<div style=\"clear: both;\"></div>";
   		}
		
		}
		echo "<div style=\"clear: both;\"></div>";
		echo "<small><b>".$sn."</b> without avatar</small>";
		?>
		
		</div>
		<?php
   
   	echo "What are you doing <strong>$_SESSION[usernameuniversal]</strong>?<a href=\"index.php?go=salir\"> (logout)</a>";
	echo "<b>&#8226;</b> <a href=\"index.php?go=opt\">Options</a>";
	

	?>
	<?php 
	if($_POST["tiny"]){
		if($_POST["service"]=="tiniurl"){ 
		$url = tinyurl($_POST["url"]);
		}elseif($_POST["service"]=="isgd"){
		$url = isgd($_POST["url"]);
		}
		
		} 
		?>
	<script language="JavaScript" type="text/JavaScript">
function insertAtCaret(areaId,text) { var txtarea = document.getElementById(areaId); var scrollPos = txtarea.scrollTop; var strPos = 0; var br = ((txtarea.selectionStart || txtarea.selectionStart == '0') ? "ff" : (document.selection ? "ie" : false ) ); if (br == "ie") { txtarea.focus(); var range = document.selection.createRange(); range.moveStart ('character', -txtarea.value.length); strPos = range.text.length; } else if (br == "ff") strPos = txtarea.selectionStart; var front = (txtarea.value).substring(0,strPos); var back = (txtarea.value).substring(strPos,txtarea.value.length); txtarea.value=front+text+back; strPos = strPos + text.length; if (br == "ie") { txtarea.focus(); var range = document.selection.createRange(); range.moveStart ('character', -txtarea.value.length); range.moveStart ('character', strPos); range.moveEnd ('character', 0); range.select(); } else if (br == "ff") { txtarea.selectionStart = strPos; txtarea.selectionEnd = strPos; txtarea.focus(); } txtarea.scrollTop = scrollPos; } 
	</script>
	<form action="index.php" method="post" style="width: 445px;">	
		<span id="remaining">140</span> <span id="wordcount">0</span>
		<textarea name="status" id="status" onkeyup="check_length();" onchange="check_length();" onmouseout="check_length();"><?php echo $url; ?></textarea> 
		
		<!-- Twitter -->
		<?php 
		$query  = "SELECT id_usr, nombre, apellidos, nick, twitter, accounts FROM mt_users Where nick='$_SESSION[usernameuniversal]' LIMIT 1";
		$result = mysql_query($query,$connuni) or die(mysql_error().': '.$query);
		
		while($row = mysql_fetch_assoc($result)){
		
		if($row["twitter"]=="yes"){
		$account = explode("<|>", $row["accounts"]);
		$account1 = explode("<>", $account[0]);
		$account2 = explode("<>", $account[1]);
		$account3 = explode("<>", $account[2]);
		
		echo "<b>Twitter</b> ";
		
		if($account1[0]!=""){
		echo "<input type=\"checkbox\" value=\"yes\" name=\"twitter_update_acc1\" ";
		if($account1[2]=="yes"){echo "checked";} echo "/>";
		echo "<b><a target=\"_blank\" href=\"http://twitter.com/".$account1[0]."\">".$account1[0]."</a></b>";
		echo "&nbsp; <input type=\"hidden\" name=\"twitter_username1\" value=\"".$account1[0]."\" id=\"twitter_username1\"/> 
		&nbsp; <input type=\"hidden\" name=\"twitter_psw1\" value=\"".$account1[1]."\" id=\"twitter_psw1\"/>";
		}
		if($account2[0]!=""){
		echo "<input type=\"checkbox\" value=\"yes\" name=\"twitter_update_acc2\" ";
		if($account2[2]=="yes"){echo "checked";} echo "/>";
		echo "<b><a target=\"_blank\" href=\"http://twitter.com/".$account2[0]."\">".$account2[0]."</a></b>";
		echo "&nbsp; <input type=\"hidden\" name=\"twitter_username2\" value=\"".$account2[0]."\" id=\"twitter_username2\"/> 
		&nbsp; <input type=\"hidden\" name=\"twitter_psw2\" value=\"".$account2[1]."\" id=\"twitter_psw2\"/>";
		}
		if($account3[0]!=""){
		echo "<input type=\"checkbox\" value=\"yes\" name=\"twitter_update_acc3\" ";
		if($account3[2]=="yes"){echo "checked";} echo "/>";;
		echo "<b><a target=\"_blank\" href=\"http://twitter.com/".$account3[0]."\">".$account3[0]."</a></b>";
		echo "&nbsp; <input type=\"hidden\" name=\"twitter_username3\" value=\"".$account3[0]."\" id=\"twitter_username3\"/> 
		&nbsp; <input type=\"hidden\" name=\"twitter_psw3\" value=\"".$account3[1]."\" id=\"twitter_psw3\"/>";
		}
		
		}else{
		
		?>
		<b>Twitter</b> <input type="checkbox" value="yes" name="twitter_no_trust" /> 
		&nbsp; <input type="text" name="twitter_username" value="Username" id="twitter_username" onblur="if (this.value == '') {this.value = 'Username';}" onfocus="if (this.value == 'Username') {this.value = '';}"/> 
		&nbsp; <input type="password" name="twitter_psw" value="Password" id="twitter_psw" onblur="if (this.value == '') {this.value = 'Password';}" onfocus="if (this.value == 'Password') {this.value = '';}" />
		<br>
		<small>* I won't save your password, I promise!.</small>
		<?php
		}

		}
		?>
		<!-- End Twitter -->
		
		&nbsp; <input type="submit" value="Update" id="submit" />
		<br>
		<p><form method="post" name="tiny" action="">
		<select name="service">
		<option value="tiniurl"><b>Tinyurl!</b></option>
		<option value="isgd"><b>Is.gd!</b></option>
		</select> 
		<input type="text" name="url" /> 
		<input name="tiny" type="submit" value="Short it first!" /> </form>
		<br></p>
	</form>
<br>
<div class="clear"></div>
<?php
      }else{   
?>

	<div class="bri">
	<h3>Login</h3>
	<form action="" method="post">
	<table border="0" cellspacing="3" cellpadding="3">
	<tr><td>Nick:</td><td><input type="text" name="user" maxlength="20"></td>
	<td>Password:</td><td><input type="password" name="pass" maxlength="20"></td>
	<td colspan="2" align="left"> <input type="hidden" name="remember" checked>
	<input type="checkbox" name="registro" value="registro"> New user?
	<input type="submit" name="sublogin" id="sublogin" value="Enter"></td>
	</tr></table>
	</form>
	</div>
<?php
   }
}


/**
 * Checks to see if the user has submitted his
 * username and password through the login form,
 * if so, checks authenticity in database and
 * creates session.
 */
if(isset($_POST['sublogin'])){

if($_POST["registro"]=="registro"){

$user = $_POST["user"];
$pass = md5($_POST["pass"]);
$sql="insert into mt_users (id_usr, nick, password) values ('NULL','$user','$pass')";
mysql_query($sql,$connuni) or die('What happen?: ' . mysql_error());
echo "<b style=\"color: white;\">New user has been created!</b>";

}elseif($_POST["registro"]==""){

   /* Check that all fields were typed in */
   if(!$_POST['user'] || !$_POST['pass']){
      die('<b style=\"color: red;\">Fill all the fields, please.</b>');
   }
   /* Spruce up username, check length */
   $_POST['user'] = trim($_POST['user']);
   if(strlen($_POST['user']) > 30){
      die("<b style=\"color: red;\">Uhm, your nick is tooooooooooo looooooooooong baby!.</b>");
   }

   /* Checks that username is in database and password is correct */
   $md5pass = md5($_POST['pass']);
   $result = confirmUser($_POST['user'], $md5pass);

   /* Check error codes */
   if($result == 1){
      die('<b style=\"color: red;\">Noup, uhm, maybe next time, you cant try again, please insert coin!.</b>');
   }
   else if($result == 2){
      die('<b style=\"color: red;\">Ey, hope you still know your password because we dont have recovery tool yet xD.</b>');
   }

   /* Username and password correct, register session variables */
   $_POST['user'] = stripslashes($_POST['user']);
   $_SESSION['usernameuniversal'] = $_POST['user'];
   $_SESSION['passworduniversal'] = $md5pass;

   /**
    * This is the cool part: the user has requested that we remember that
    * he's logged in, so we set two cookies. One to hold his username,
    * and one to hold his md5 encrypted password. We set them both to
    * expire in 100 days. Now, next time he comes to our site, we will
    * log him in automatically.
    
    *Nota, lo he cambiado a 10 días maximo
    */
   if(isset($_POST['remember'])){
      setcookie("cooknameuniversal", $_SESSION['usernameuniversal'], time()+60*60*24*10, "/");
      setcookie("cookpassuniversal", $_SESSION['passworduniversal'], time()+60*60*24*10, "/");
   }

   /* Quick self-redirect to avoid resending data on refresh */
   echo "<meta http-equiv=\"Refresh\" content=\"0;url=$HTTP_SERVER_VARS[PHP_SELF]\">";
   return;
}

}

/* Sets the value of the logged_in variable, which can be used in your code */
$logged_in = checkLogin();

?>